FT4Web by Investors FastTrack

Learning about FT4Web | Blog | FLOSS | Subscribe/Renew | About us

Search the site

 

FastTrack XP, Vista, Windows 2003, Windows 2008 Support

Last updated 06/16/2014

For those who are running FT4Web and FastRube
(Roy Ashworh's product and a few other 3rd party products)

Microsoft is discontinuing XP Support as of April 2014. That doesn't mean that your XP machine will come
to a screeching halt. It just means that if you call Microsoft about XP, they will likely say "Huh?" and refer you to an paid support group.

This is also likely true for Virtual XP running under Windows 7 and Windows 8 . . . but we don't know for sure.

Why are you using Virtual XP or other older operating systems?

  1. FastTrack products run just fine under any Windows operating systems released after (and not including) Windows 2000.
    You do not have to run under the newer Windows 7 / 8.
  2. Some older nonFastTrack products do require XP/Vista. The most popular is FastRube.
  3. You must install FastTrack under the same Virtual XP that run your older programs. This isn't a FastTrack issue, it is something required by your older nonFastTrack product.

XP, Service Pack 3, and .NET

To be able to continue FastTrack into 2014 using XP/Virtual XP, you must upgrade your XP to at least be up to date as of March 2009 . . . DO these upgrades before April 2014 so that you can deal with Microsoft on some reasonable level.

This is what our test system required after a fresh installation of Window 7 Professional  purchased in late 2011 which included virtual XP Service Pack 2 (released August 2004). On the virtual XP, we had to perform the following which took manual control, multiple reboots, and several retries over a 24-hour period. We regret that Microsoft chooses to distribute a 10-year out-of-date Windows XP for its Virtual XP.

  1. You must install XP Service Pack 3 released April 2008.
  2. You must install Internet Explorer 8 released March 2009
  3. You must install .Net 3.5 released November 2007
  4. You must Install Microsoft Genuine Advantage
  5. You must install Framework 3.5 Service Pack 1
  6. You must do a Windows upgrade of several hundred changes.
  7. You must install FTComm WPF (and as final step) upgrading FTComm5.

Microsoft Download Manager (not required) was used in this illustration to show some the Microsoft upgrade files that may be needed. You may get these files through Windows Upgrade, or you may have to load the upgrades in pieces. Upgrading can be difficult and time consuming.

What FT Technical Support Will NOT DO for free?

  1. Teach you how to run/install Virtual XP.
  2. Upgrade your XP/Virtual XP. This is a very time-consuming process.

What FastTrack Technical Support will do.

  • We do support running/installing/updating FT4Web under a properly updated XP/Virtual XP.
  •  We will also provide modest support to get 3rd party products that you installed to read the FT Databases correctly.
    Ultimately, however, we may defer to the 3rd party for this support.
  • We will, for a flat charge of $250, attempt to upgrade your XP/Virtual XP in the seven steps above. This must be scheduled overnight and done by remote control of  your PC.
    Actually, it is our preference that you do your upgrades yourself or pay a local computer shop. Please, consider our  $250 offer as the  last alternative.